質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.58%

このMacでXcodeでiOSアプリ開発可能ですか?

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 858

Daibaku

score 19

このMacの性能でXcodeを使ってiOSアプリの開発は出来ますでしょうか?
もしくはかなり不便な点などが出てくる可能性はあるでしょうか?
詳しい方どうかご教示ください。
よろしくお願い致します。

MacBook PRO Late2011 13.3インチ16GB

Apple MacBookPRO Late2011
・プロセッサ:2.4GHzデュアルコアlntel corei5
・三次キャッシュ:3MB共有
・メモリ:16GB
・ハードドライブ:500GBシリアルATA 5,400rpm
・スロットローディング式光学ドライブ:8倍速superDrive
・グラフィックス:lntel HD Graphics3000プロセッサ

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • fuzzball

    2018/10/04 15:58

    タイトルと質問内容に乖離があります。どちらかに絞って下さい。

    キャンセル

  • Daibaku

    2018/10/04 16:14

    失礼しました。変更させていただきました。

    キャンセル

  • fuzzball

    2018/10/04 16:33

    今からこのMacBookを買おうかどうしようか、ということなのでしょうか?

    キャンセル

  • Daibaku

    2018/10/04 16:42

    そうですね。難なく開発できるなら購入しようかと思っています。

    キャンセル

回答 2

+1

気がついたら、解決済になっていますが...

同じぐらいのスペックの Mac mini Late 2012 をサブに使ってます。

Xcode を使っての開発には、大きな問題は出ていません.... が、これから買うのであれば、もっと新しいものを買うことをお勧めします。


理由は、App Store での iOS アプリの公開する場合、質問に記載されたスペックだと下記の理由で1年後には 公開する iOSアプリは作れなくなると思われるため。

  • 今後、App Store 公開なら iOS 12 対応が必要。
  • iOS 12 は、Xcode 10 以降が必要。
  • Xcode 10 は、 macOS High Sierra 10.13.6 以降が必要。
  • おそらく来年リリースの次バージョンの Xcode は、macOS Mojave 以降が必要になると思われるが、記載されている Mac Book Pro のスペックだと macOS Mojave はおそらく無理。

上記を一言で言えば、「最新版の macOS が動かない可能性のある Mac は買わない方が良い。」でしょうか。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/10/04 17:47

    OSのことを忘れていました。Late 2011だとMojaveダメですね。
    だから値段が下がってお買い得感があるのかも知れません(?)

    キャンセル

checkベストアンサー

0

スペック的にはほぼ同等のMac miniを使っていますが、「かなり不便」ということはないですね。
ちょっと重いかなと思う(というかカーソルがクルクルする)ときもありますが、これがスペックのせいなのか、macOSのせいなのかは分かりません。そろそろ買い替えどきだと思っています。

とりあえずSSDをお薦めします。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/10/04 17:28

    ありがとうございました!
    とても参考になりました!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.58%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る